#pragma once
#include <d3d11.h>
#include "Macros.h"
#pragma comment (lib, "d3d11.lib")

static bool Error(const LPCSTR msg)
{
	MessageBoxA(nullptr, msg, "Error", MB_ICONERROR);
	return false;
}

class DXManager
{
public:
	DXManager();
	void Shutdown();
	bool Initialize(HWND, UINT, UINT);
	void EndFrameRender();
	void StartFrameRender();
private:
	float _clearColor[4];
	ID3D11Device *_device;
	ID3D11DeviceContext *_deviceContext;
	IDXGISwapChain *_swapChain;
	ID3D11RenderTargetView *_renderTargetView;
};
